Package Gnumed :: Package wxpython :: Module gmAuthWidgets :: Class cLoginPanel |
[frames] | no frames]

# Class cLoginPanel

source code

    wx.Panel --+
               |
              cLoginPanel

GUI panel class that interactively gets Postgres login parameters.

It features combo boxes which "remember" any number of previously entered settings.

Instance Methods
__init__(self, parent, id, pos=wx.DefaultPosition, size=wx.DefaultSize, style=wx.TAB_TRAVERSAL, isDialog=0, client_version='*** unknown ***') Create login panel. | source code
save_state(self) Save parameter settings to standard configuration file | source code
GetLoginInfo(self) convenience function for compatibility with gmLoginInfo.LoginInfo | source code
OnHelp(self, event) | source code
OnCancel(self, event) | source code

Method Details

### __init__(self, parent, id, pos=wx.DefaultPosition, size=wx.DefaultSize, style=wx.TAB_TRAVERSAL, isDialog=0, client_version='*** unknown ***') (Constructor) | source code
    Create login panel.

    isDialog:       if this panel is the main panel of a dialog, the panel will
                            resize the dialog automatically to display everything neatly
                            if isDialog is set to True